%define name	libusb
%define	version	0.1.5
%define	release	1mdk

%define major	0.1_4
%define libname	%{name}%{major}

Summary:	Libusb is a library which allows userspace access to USB devices
Name:		%name
Version:	%version
Release:	%release
Source0:	http://download.sourceforge.net/libusb/%{name}-%{version}.tar.bz2
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://sourceforge.net/projects/libusb/
Conflicts:	kdegraphics < 2.2.2-4mdk, libgphoto2 < 2.0-0.beta3.5mdk, libgpio0 < 0.0.2-5mdk, libsane1 < 1.0.7-0.beta2.1mdk

%description
Libusb is a library which allows
userspace access to USB devices


%package -n %{name}%{major}
Summary:        Libusb is a library which allows userspace access to USB devices
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libusb is a library which allows
userspace access to USB devices

%package -n %{name}%{major}-devel
Summary:        Libusb is a library which allows userspace access to USB devices
Group:          Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}0.1-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-devel
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will access USB devices using
the %{name} library.

If you are going to develop programs which will access USB devices,
you should install %{name}-devel.  You'll also need to have the %name
package installed.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall_std

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig -n %{libname}
%postun -p /sbin/ldconfig -n %{libname}


%files -n %{name}%{major}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files -n %{name}%{major}-devel
%defattr(-,root,root)
%doc AUTHORS README INSTALL.libusb NEWS ChangeLog
%{_bindir}/libusb-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Sat Feb 16 2002 Yves Duret <yduret@mandrakesoft.com> 0.1.5-1mdk
- version 0.1.5
- remove patch0 (disable doc generation) no more needed
- spec clean up, macros...
- fix provides name AND release
- better -devel description

* Thu Jan 31 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.1.4-2mdk
- added Conflicts to ease upgrade

* Mon Jan 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.4-1mdk
- Release 0.1.4
- Fix name of package to be rpmlint compliant
- Patch0: Disable doc generation, it fails

* Tue Oct 25 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 0.1.3b-2mdk
- Rebuild for rpmlint

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3b-1mdk
- Initial Mandrake release


# end of file
